/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { markType } from "igniteui-react-core/ES2015/type";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Color } from "igniteui-react-core/ES2015/Color";
export class PointSeries extends HorizontalAnchoredCategorySeries {
    constructor() {
        super();
        this.ab = PointSeries.$;
    }
    bf() {
        return new PointSeriesView(this);
    }
    il(a) {
        super.il(a);
        this.p8 = a;
    }
    df(a, b) {
        let c = this.lc(this.lf(a), true, false);
        if (this.lv(a, b)) {
            return true;
        }
        return false;
    }
    ir(a, b, c, d) {
        super.ir(a, b, c, d);
    }
    get_cy() {
        return false;
    }
    get useHighMarkerFidelity() {
        return this.nt;
    }
}
PointSeries.$t = markType(PointSeries, 'PointSeries', HorizontalAnchoredCategorySeries.$);
export class PointSeriesView extends AnchoredCategorySeriesView {
    constructor(a) {
        super(a);
        this.c6 = null;
        this.c6 = a;
    }
    ap() {
        super.ap();
        if (!this.n) {
            this.by.ls = 2;
            this.e.bj = 4;
        }
    }
    ac() {
        let a = new Color();
        a.colorString = "rgba(95,95,95,0.5)";
        this.e.k1 = a;
        this.e.er = 3;
        this.e.es = 2;
        this.e.et = 2;
        this.e.ds = false;
    }
}
PointSeriesView.$t = markType(PointSeriesView, 'PointSeriesView', AnchoredCategorySeriesView.$);
